Bug 967283 - Default security group not created
Default security group not created
Status: CLOSED DUPLICATE of bug 971082
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-quantum (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 4.0
Assigned To: RHOS Maint
Ofer Blaut
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 07:12 EDT by Attila Fazekas
Modified: 2016-04-26 16:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 14:16:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Fazekas 2013-05-26 07:12:40 EDT
Can be a related bug: 
https://bugzilla.redhat.com/show_bug.cgi?id=886303


First instance boot attempt with quantum ovs network:

compute.log:
2013-05-26 10:49:55.722 11863 TRACE nova.compute.manager [instance: ac50ea35-bc0c-4cc1-94cf-84683bc0285a] Traceback (most recent call last):
2013-05-26 10:49:55.722 11863 TRACE nova.compute.manager [instance: ac50ea35-bc0c-4cc1-94cf-84683bc0285a]   File "/usr/lib/python2.6/site-packages/nova/compute/manager.py", line 1071, in _allocate_network
2013-05-26 10:49:55.722 11863 TRACE nova.compute.manager [instance: ac50ea35-bc0c-4cc1-94cf-84683bc0285a]     security_groups=security_groups)
2013-05-26 10:49:55.722 11863 TRACE nova.compute.manager [instance: ac50ea35-bc0c-4cc1-94cf-84683bc0285a]   File "/usr/lib/python2.6/site-packages/nova/network/api.py", line 46, in wrapper
2013-05-26 10:49:55.722 11863 TRACE nova.compute.manager [instance: ac50ea35-bc0c-4cc1-94cf-84683bc0285a]     res = f(self, context, *args, **kwargs)
2013-05-26 10:49:55.722 11863 TRACE nova.compute.manager [instance: ac50ea35-bc0c-4cc1-94cf-84683bc0285a]   File "/usr/lib/python2.6/site-packages/nova/network/quantumv2/api.py", line 213, in allocate_for_instance
2013-05-26 10:49:55.722 11863 TRACE nova.compute.manager [instance: ac50ea35-bc0c-4cc1-94cf-84683bc0285a]     security_group_id=security_group)
2013-05-26 10:49:55.722 11863 TRACE nova.compute.manager [instance: ac50ea35-bc0c-4cc1-94cf-84683bc0285a] SecurityGroupNotFound: Security group default not found.
2013-05-26 10:49:55.722 11863 TRACE nova.compute.manager [instance: ac50ea35-bc0c-4cc1-94cf-84683bc0285a] 
2013-05-26 10:49:55.877 AUDIT nova.compute.manager [req-0dc9474c-3854-4a8d-a070-5ef1f72793b1 eb830d8d6df048ef8368287a74802710 0b4f2254484840d8b38285f27cbb3440] [instance: ac50ea35-bc0c-4cc1-94cf-84683bc0285a] Terminating instance
2013-05-26 10:49:56.288 11863 ERROR nova.virt.libvirt.driver [-] [instance: ac50ea35-bc0c-4cc1-94cf-84683bc0285a] During wait destroy, instance disappeared.
2013-05-26 10:49:56.290 INFO nova.virt.libvirt.driver [req-0dc9474c-3854-4a8d-a070-5ef1f72793b1 eb830d8d6df048ef8368287a74802710 0b4f2254484840d8b38285f27cbb3440] [instance: ac50ea35-bc0c-4cc1-94cf-84683bc0285a] Deleting instance files /var/lib/nova/instances/ac50ea35-bc0c-4cc1-94cf-84683bc0285a
2013-05-26 10:49:56.451 ERROR nova.compute.manager [req-0dc9474c-3854-4a8d-a070-5ef1f72793b1 eb830d8d6df048ef8368287a74802710 0b4f2254484840d8b38285f27cbb3440] [instance: ac50ea35-bc0c-4cc1-94cf-84683bc0285a] Error: ['Traceback (most recent call last):\n', '  File "/usr/lib/python2.6/site-packages/nova/compute/manager.py", line 831, in _run_instance\n    requested_networks, macs, security_groups)\n', '  File "/usr/lib/python2.6/site-packages/nova/compute/manager.py", line 1075, in _allocate_network\n    instance=instance)\n', '  File "/usr/lib64/python2.6/contextlib.py", line 23, in __exit__\n    self.gen.next()\n', '  File "/usr/lib/python2.6/site-packages/nova/compute/manager.py", line 1071, in _allocate_network\n    security_groups=security_groups)\n', '  File "/usr/lib/python2.6/site-packages/nova/network/api.py", line 46, in wrapper\n    res = f(self, context, *args, **kwargs)\n', '  File "/usr/lib/python2.6/site-packages/nova/network/quantumv2/api.py", line 213, in allocate_for_instance\n    security_group_id=security_group)\n', 'SecurityGroupNotFound: Security group default not found.\n']
2013-05-26 10:50:29.575 11863 AUDIT nova.compute.resource_tracker [-] Auditing locally available compute resources
2013-05-26 10:50:29.693 11863 AUDIT nova.compute.resource_tracker [-] Free ram (MB): 6818
2013-05-26 10:50:29.693 11863 AUDIT nova.compute.resource_tracker [-] Free disk (GB): 9
2013-05-26 10:50:29.693 11863 AUDIT nova.compute.resource_tracker [-] Free VCPUS: 7
2013-05-26 10:50:29.801 11863 INFO nova.compute.resource_tracker [-] Compute_service record updated for new32.lithium.rhev.lab.eng.brq.redhat.com:new32.lithium.rhev.lab.eng.brq.redhat.com



# I do not have default security group:
[root@new32 nova(keystone_admin)]# quantum security-group-list

# I cannot create one
[root@new32 nova(keystone_admin)]# quantum security-group-create default 
Default security group already exists.
[root@new32 nova(keystone_admin)]# quantum security-group-show default 
Unable to find security_group with name 'default'            

# I can create another group:                                                                                                                                                                                
[root@new32 nova(keystone_admin)]# quantum security-group-create test                                                                                                                                                                 
Created a new security_group:                                                                                                                                                                                                                
+----------------------+-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+                                                                                                                                  
| Field                | Value                                                                                                                                                                                                                                                                                                                         |                                                                                                                                  
+----------------------+-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+                                                                                                                                  
| description          |                                                                                                                                                                                                                                                                                                                               |                                                                                                                                  
| id                   | 7b540061-588d-4e0d-b877-91809e99e925                                                                                                                                                                                                                                                                                          |                                                                                                                                  
| name                 | test                                                                                                                                                                                                                                                                                                                          |                                                                                                                                  
| security_group_rules | {"remote_group_id": null, "direction": "egress", "remote_ip_prefix": null, "protocol": null, "tenant_id": "0b4f2254484840d8b38285f27cbb3440", "port_range_max": null, "security_group_id": "7b540061-588d-4e0d-b877-91809e99e925", "port_range_min": null, "ethertype": "IPv4", "id": "7b506945-66ad-46e1-9aa3-8862cde22546"} |                                                                                                                                  
|                      | {"remote_group_id": null, "direction": "egress", "remote_ip_prefix": null, "protocol": null, "tenant_id": "0b4f2254484840d8b38285f27cbb3440", "port_range_max": null, "security_group_id": "7b540061-588d-4e0d-b877-91809e99e925", "port_range_min": null, "ethertype": "IPv6", "id": "8715fa20-1e1d-4a46-917d-cc90a21e4559"} |                                                                                                                                  
| tenant_id            | 0b4f2254484840d8b38285f27cbb3440                                                                                                                                                                                                                                                                                              |                                                                                                                                  
+----------------------+-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
[root@new32 nova(keystone_admin)]# quantum security-group-show default 
+----------------------+------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| Field                | Value                                                                                                                                                                                                                                                                                                                                                            |
+----------------------+------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| description          | default                                                                                                                                                                                                                                                                                                                                                          |
| id                   | 11b2e76a-a295-4ef7-bdf7-86d660e73f21                                                                                                                                                                                                                                                                                                                             |
| name                 | default                                                                                                                                                                                                                                                                                                                                                          |
| security_group_rules | {"remote_group_id": "11b2e76a-a295-4ef7-bdf7-86d660e73f21", "direction": "ingress", "remote_ip_prefix": null, "protocol": null, "tenant_id": "0b4f2254484840d8b38285f27cbb3440", "port_range_max": null, "security_group_id": "11b2e76a-a295-4ef7-bdf7-86d660e73f21", "port_range_min": null, "ethertype": "IPv4", "id": "8884f990-09e8-4c2e-805e-bbc938640ed9"} |
|                      | {"remote_group_id": null, "direction": "egress", "remote_ip_prefix": null, "protocol": null, "tenant_id": "0b4f2254484840d8b38285f27cbb3440", "port_range_max": null, "security_group_id": "11b2e76a-a295-4ef7-bdf7-86d660e73f21", "port_range_min": null, "ethertype": "IPv6", "id": "aa162845-64d8-41ad-8491-48baf82af54d"}                                    |
|                      | {"remote_group_id": null, "direction": "egress", "remote_ip_prefix": null, "protocol": null, "tenant_id": "0b4f2254484840d8b38285f27cbb3440", "port_range_max": null, "security_group_id": "11b2e76a-a295-4ef7-bdf7-86d660e73f21", "port_range_min": null, "ethertype": "IPv4", "id": "badc0cb3-8deb-46b1-be98-1fa629f5893a"}                                    |
|                      | {"remote_group_id": "11b2e76a-a295-4ef7-bdf7-86d660e73f21", "direction": "ingress", "remote_ip_prefix": null, "protocol": null, "tenant_id": "0b4f2254484840d8b38285f27cbb3440", "port_range_max": null, "security_group_id": "11b2e76a-a295-4ef7-bdf7-86d660e73f21", "port_range_min": null, "ethertype": "IPv6", "id": "e7f1cafa-f434-47d8-b87c-83d94a09230a"} |
| tenant_id            | 0b4f2254484840d8b38285f27cbb3440                                                                                                                                                                                                                                                                                                                                 |
+----------------------+------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+

# the default group implicitly created after another group creation:
[root@new32 nova(keystone_admin)]# quantum security-group-list
+--------------------------------------+---------+-------------+
| id                                   | name    | description |
+--------------------------------------+---------+-------------+
| 11b2e76a-a295-4ef7-bdf7-86d660e73f21 | default | default     |
| 7b540061-588d-4e0d-b877-91809e99e925 | test    |             |
+--------------------------------------+---------+-------------+



Addition Info:

Packstack installation.

As admin user.

Package versions:
[root@new32 nova(keystone_admin)]# rpm -qa |grep nova
openstack-nova-common-2013.1.1-2.el6ost.noarch
openstack-nova-novncproxy-0.4-4.el6ost.noarch
python-novaclient-2.13.0-1.el6ost.noarch
python-nova-2013.1.1-2.el6ost.noarch
openstack-nova-api-2013.1.1-2.el6ost.noarch
openstack-nova-cert-2013.1.1-2.el6ost.noarch
openstack-nova-console-2013.1.1-2.el6ost.noarch
openstack-nova-conductor-2013.1.1-2.el6ost.noarch
openstack-nova-compute-2013.1.1-2.el6ost.noarch
openstack-nova-scheduler-2013.1.1-2.el6ost.noarch
[root@new32 nova(keystone_admin)]# rpm -qa |grep quantum
python-quantum-2013.1.1-8.el6ost.noarch
openstack-quantum-2013.1.1-8.el6ost.noarch
openstack-quantum-openvswitch-2013.1.1-8.el6ost.noarch
python-quantumclient-2.2.1-1.el6ost.noarch
Comment 2 Stephen Gordon 2013-06-07 14:07:41 EDT
I've reproduced this behavior, I believe cdub and apevec were able to as well.
Comment 3 Stephen Gordon 2013-06-07 14:16:59 EDT

*** This bug has been marked as a duplicate of bug 971082 ***

Note You need to log in before you can comment on or make changes to this bug.